Target version:
Due date:
Estimated time: 0.00 hour

Description

If we have mutiple implementations of semantically similar tools such as the logger, we should use the same prefix for the executable.

The same is true for command line options (whenever possible). For instance, the loggers in C++/CL use the keywords format and
style to denote the semantically same thing. That is unnecessary complexity.

Associated revisions

Revision cff632cb - 01/17/2012 01:39 AM - J. Moringen
Renamed commandline option in logger/main.cpp
refs #805
- logger/main.cpp (header): updated copyright
(handleCommandline): changed commandline option format -> style

Revision ce86cacb - 01/17/2012 04:10 PM - J. Moringen
Added option description in manual/common.rst
refs #802, #805
- manual/common.rst: new file; contains description of common
commandline options

- manual/tools.rst: include manual/common.rst

History

#1-01/17/2012 01:50 AM - J. Moringen
- Description updated

- Status changed from New to In Progress

#2 - 10/18/2015 08:44 PM - J. Moringen
- Status changed from In Progress to Resolved
- Assignee set to J. Moringen

Has been resolved for a long time.

05/09/2024

1/1




